## sgabios 0.0~svn8

=== Makefile ===
# Copyright 2010 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# $Id: Makefile 8 2010-04-22 00:03:40Z nlaredo $

BUILD_DATE = \"$(shell date -u)\"
BUILD_SHORT_DATE = \"$(shell date -u +%D)\"
BUILD_HOST = \"$(shell hostname)\"
BUILD_USER = \"$(shell whoami)\"

CFLAGS := -Wall -Os -m32 -nostdlib

ASFLAGS := $(CFLAGS)
ASFLAGS += -DBUILD_DATE="$(BUILD_DATE)"
ASFLAGS += -DBUILD_SHORT_DATE="$(BUILD_SHORT_DATE)"
ASFLAGS += -DBUILD_HOST="$(BUILD_HOST)"
ASFLAGS += -DBUILD_USER="$(BUILD_USER)"

LDSCRIPT := rom16.ld
LDFLAGS := -T $(LDSCRIPT) -nostdlib
OBJCOPY := objcopy

ASRCS = sgabios.S

CSRCS =

SRCS = $(CSRCS) $(ASRCS)

OBJS = ${CSRCS:.c=.o} ${ASRCS:.S=.o}
INCS = ${CSRCS:.c=.h} ${ASRCS:.S=.h}

PROGS = sgabios.bin csum8

.SUFFIXES: .bin .elf
.PHONY: buildinfo

all: $(PROGS)

sgabios.bin: sgabios.elf
	$(OBJCOPY) -O binary $< $@
	./csum8 $@

sgabios.elf: .depend $(OBJS) $(LDSCRIPT) csum8
	$(LD) $(LDFLAGS) $(OBJS) -o $@

csum8: csum8.c
	$(CC) -Wall -O2 -o $@ $<

sgabios.o: buildinfo


buildinfo:
	touch sgabios.S
clean:
	$(RM) $(PROGS) $(OBJS) *.elf *.srec *.com version.h

.depend:: $(INCS) $(SRCS) Makefile
	$(RM) .depend
	$(CPP) -M $(CFLAGS) $(SRCS) >.tmpdepend && mv .tmpdepend .depend

ifeq (.depend, $(wildcard .depend))
include .depend
else
# if no .depend file existed, add a make clean to the end of building .depend
.depend::
	$(MAKE) clean
endif

=== debian/changelog ===
sgabios (0.0~svn8-4) unstable; urgency=medium

  [ Marques Johansson ]
  * Update README.Debian

  [ Daniel Beyer ]
  * Use git-buildpackage for the Debian packaging
  * Set Standards-Version to 3.9.8 (no changes needed)
  * Reference secure URIs in debian/* (where possible)
  * Add lintian override for code.google.com.
    The current project page on Google Code is still working and
    upstream did not move the project to another location so far.

  [ Chris Lamb ]
  * Make build of sgabios reproducible (Closes: #779135)

 -- Daniel Beyer <dabe@deb.ymc.ch>  Sun, 05 Mar 2017 16:09:17 +0100

sgabios (0.0~svn8-3) unstable; urgency=low

  * Made sgabios multiarch aware (Closes: #731490)
  * Set Standards-Version to 3.9.5 (no changes needed)

 -- Daniel Beyer <dabe@deb.ymc.ch>  Fri, 06 Dec 2013 09:25:03 +0100

sgabios (0.0~svn8-2) unstable; urgency=low

  * Added build dependency on gcc-multilib [amd64]. (Closes: #718142)
  * Added a symlink /usr/share/qemu/sgabios.bin pointing to the sgabios x86
    bios option rom. This link was provided by qemu-system-x86 but has been
    removed after 1.5.0+dfsg-5 to prevent a possibly dangling symlink.

 -- Daniel Beyer <dabe@deb.ymc.ch>  Sun, 28 Jul 2013 12:08:57 +0200

sgabios (0.0~svn8-1) unstable; urgency=low

  * Initial Release. (Closes: #706204)

 -- Daniel Beyer <dabe@deb.ymc.ch>  Tue, 30 Apr 2013 06:28:41 +0200

=== debian/control ===
Source: sgabios
Section: otherosfs
Priority: optional
Maintainer: Daniel Beyer <dabe@deb.ymc.ch>
Uploaders: Michael Tokarev <mjt@tls.msk.ru>
Homepage: https://code.google.com/p/sgabios/
Build-Depends: debhelper (>= 9), gcc-multilib [amd64]
Standards-Version: 3.9.8
Vcs-Browser: https://github.com/ymc/sgabios-debian
Vcs-Git: https://github.com/ymc/sgabios-debian.git


Package: sgabios
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: qemu-system-x86 (<= 1.5.0+dfsg-5)
Description: bios option rom to provide legacy serial console for x86
 The Google Serial Graphics Adapter BIOS or SGABIOS provides a means for
 legacy x86 software to communicate with an attached serial console as if
 a video card were attached. SGABIOS is designed to be inserted into a BIOS
 as an option rom to provide over a serial port the display and input
 capabilities normally handled by a VGA adapter and a keyboard. SGABIOS
 can be used to feature OS independent serial console redirection in Qemu.

=== debian/rules ===
#!/usr/bin/make -f

BUILD_HOST = generic
BUILD_USER = generic
BUILD_DATE = $(shell dpkg-parsechangelog --show-field=Date)
BUILD_SHORT_DATE = $(shell date --utc --date="$(BUILD_DATE)" +%D)

%:
	+dh $@

override_dh_auto_clean:
	make clean
	rm -f .depend

override_dh_auto_build:
	make \
		BUILD_HOST="\\\"$(BUILD_HOST)\\\"" \
		BUILD_USER="\\\"$(BUILD_USER)\\\"" \
		BUILD_DATE="\\\"$(BUILD_DATE)\\\"" \
		BUILD_SHORT_DATE="\\\"$(BUILD_SHORT_DATE)\\\""

override_dh_auto_configure override_dh_auto_test:
# nothing to do

override_dh_auto_install:
	chmod 644 sgabios.bin
